﻿// Keep this lines for a best effort IntelliSense of Visual Studio 2017.
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\Lib\jquery.d.ts" />
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\TcHmi.d.ts" />
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\Controls\System\TcHmiControl\Source.d.ts" />

// Keep this lines for a best effort IntelliSense of Visual Studio 2013/2015.
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\Lib\jquery\jquery.js" />
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\TcHmi.js" />

(function (TcHmi) {
    // If you want to unregister an event outside the event code you need to use the return value of the method register()
    var destroyOnInitialized = TcHmi.EventProvider.register('onInitialized', function (e, data) {
        // This event will be raised only once, so we can free resources. 
        // It's best practice to use destroy function of the event object within the callback function to avoid conflicts.
        e.destroy();
        // ----------------------
        // Place your code here!
        // ----------------------
        //document.getElementById("TcHmiImage").onclick = myTest;
    });

    TcHmi.EventProvider.register("TcHmiImage.onPressed", function (e, data) {

        console.log(e);
        console.log(data);

        var cX = e.clientX;
        var sX = e.screenX;
        var cY = e.clientY;
        var sY = e.screenY;
        var coords1 = "client - X: " + cX + ", Y coords: " + cY;
        var coords2 = "screen - X: " + sX + ", Y coords: " + sY;

        console.log(coords1);
        console.log(coords2);
    });

    /*var myTest = function (event) {
        var cX = event.clientX;
        var sX = event.screenX;
        var cY = event.clientY;
        var sY = event.screenY;
        var coords1 = "client - X: " + cX + ", Y coords: " + cY;
        var coords2 = "screen - X: " + sX + ", Y coords: " + sY;

        console.log(coords1);
        console.log(coords2);
    };*/

})(TcHmi);
