﻿// Keep this lines for a best effort IntelliSense of Visual Studio 2017.
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\Lib\jquery.d.ts" />
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\TcHmi.d.ts" />
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\Controls\System\TcHmiControl\Source.d.ts" />

// Keep this lines for a best effort IntelliSense of Visual Studio 2013/2015.
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\Lib\jquery\jquery.js" />
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\TcHmi.js" />

(function (TcHmi) {
    // If you want to unregister an event outside the event code you need to use the return value of the method register()
    var destroyOnInitialized = TcHmi.EventProvider.register('onInitialized', function (e, data) {
        // This event will be raised only once, so we can free resources. 
        // It's best practice to use destroy function of the event object within the callback function to avoid conflicts.
        e.destroy();
        // ----------------------
        // Place your code here!
        // ----------------------

        // register js event listener by control ID
        document.getElementById("TcHmiImage").onclick = getMousePosition;
    });


    var getMousePosition = function (event) {
        // get positions from event object
        var controlPosX = event.clientX;
        var screenPosX = event.screenX;
        var controlPosY = event.clientY;
        var screenPosY = event.screenY;

        // handle results
        // custom code...

        // example: print in browser console
        var controlCoordinates = "Control - X: " + controlPosX + ", Control - Y: " + controlPosY;
        var screenCoordinates = "Screen - X: " + screenPosX + ", Screen - Y: " + screenPosY;

        alert(controlCoordinates);
        alert(screenCoordinates);
    };

})(TcHmi);
